<template>
    <div class="modal fade" id="showReceiptDebtCar" aria-hidden="true" role="dialog" data-backdrop="static">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-span="Close"></button>
                </div>
                <div class="modal-body">
                    <div id="print-receipt-debt-contract" style="width: 198mm; margin: auto">
                        <div class="mortgage_loan">
                            <div class="mortgage_header">
                                <div class="text-center">
                                    <h6 class="text_moul mb-2">ព្រះរាជាណាចក្រកម្ពុជា</h6>
                                    <h6 class="text_moul">ជាតិ សាសនា  ព្រះមហាក្សត្រ</h6>
                                    <img src="icons/contract.png" alt="">
                                    <p><u class="text_moul">លិខិតជំពាក់ឯកសាររថយន្ត</u></p>
                                </div>
                            </div>
                            <div class="mortgage_content">
                                <p><strong>យោង៖</strong>  កិច្ចសន្យាទិញលក់ ចុះ{{funDate(obj.loan?.installment_date)}}។</p>
                                <p><strong>អ្នកទិញ៖</strong>  លោក គួង ឃុនលី (KUONG KHUNLY) ភេទប្រុស កើតនៅថ្ងៃទី១០ ខែ០៥ ឆ្នាំ១៩៩៧ សញ្ញាតិខ្មែរ កាន់អត្តសញ្ញាប័ណ្ណសញ្ជាតិខ្មែរលេខៈ ០១០៩៤៥១១៨ (០១)        ចុះថ្ងៃទី២៤ ខែ០៧ ឆ្នាំ២០២៥ មានអាសយដ្ឋានស្ថិតនៅ ផ្ទះ៦៤៤ ផ្លូវលំ ភូមិនមានជ័យ សង្កាត់ស្ទឹងមានជ័យ ខណ្ឌមានជ័យ រាជធានីភ្នំពេញ 
                                    (តទៅហៅកាត់ថា « ភាគី ខ ») លេខទូរស័ព្ទទំនាក់ទំនង 070 866 386។
                                </p>
                                <p> អ្នកលក់៖ 
                                    ឈ្មោះ <span class="text_moul">{{ obj.client?.name}}</span> 
                                    ភេទ{{ obj.client?.gender_name}} កើតនៅ{{funDate(obj.client?.date_of_birth)}} សញ្ញាតិ ខ្មែរ 
                                    កាន់អត្តសញ្ញាប័ណ្ណសញ្ជាតិខ្មែរលេខៈ {{ obj.client?.id_card || '..................................' }} 
                                    ចុះ{{funDate(obj.client?.create_card_date)}} 
                                    មានអាសយដ្ឋានផ្ទះ{{ obj.client?.house_no || '......' }} ផ្លូវលេខ{{ obj.client?.street_no || '......' }}
                                    ភូមិ {{ obj.client?.village_kh || '.......................' }}
                                    ឃុំ/សង្កាត់ {{ obj.client?.commune_kh || '...................................' }}
                                    ស្រុក/ខណ្ឌ/ក្រុង {{ obj.client?.district_kh || '.....................................' }}
                                    ខេត្ត/រាជធានី {{ obj.client?.province_kh || '...............................' }}។
                                    (តទៅហៅកាត់ថា « ភាគី ក ») លេខទូរស័ព្ទទំនាក់ទំនង {{ obj.client?.phone || '..................................' }} ។
                                </p>

                                <p style="text-indent: 60px">យោងតាមកិច្ចសន្យាខាងលើ ភាគី « ខ » បានជំពាក់ឯកសារ……………….. រថយន្ត០១(មួយ) គ្រឿង</p>
                                <p class="mb-3" style="text-indent: 60px">
                                    ម៉ាកៈ {{ obj.collateral_motor_first?.model_type || '...............' }} 
                                    ពណ៍ {{ obj.collateral_motor_first?.color || '...............' }} 
                                    ប្រភេទ {{ obj.collateral_motor_first?.pawn_type || '...............' }} 
                                    ផលិតនៅឆ្នាំ {{ obj.collateral_motor_first?.year || '...............' }} 
                                    លេខតួ {{ obj.collateral_motor_first?.cylinder_size || '...............' }} 
                                    លេខម៉ាស៊ីន {{ obj.collateral_motor_first?.engine_number || '...............' }}  
                                    ផ្លាកលេខ {{ obj.collateral_motor_first?.number_plate || '...............' }}
                                    ដែលមិនទាន់បានប្រគល់ជូនឲ្យទៅ«ភាគី ក»។
                                </p>
                                <div class="row page-avoid text-center">
                                    <div class="col-6">
                                        <p class="text_moul">ភតិបតី / ភាគី “ក”</p>
                                        <div class="d-flex justify-content-center">
                                            <div class="text-start">
                                                <br>
                                                <br>
                                                <br>
                                                <br>
                                                <p>................................</p>
                                                <p>លោក គួង ឃុនលី</p>
                                            </div>

                                            <div class="ps-4">
                                                <p>ស្នាមមេដៃ</p>
                                                <p class="border-box"></p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-6">
                                        <p class="text_moul">អ្នកលក់ / ភាគី “ខ”</p>
                                       
                                        <div class="d-flex justify-content-center">
                                            <div class="text-start">
                                                <br>
                                                <br>
                                                <br>
                                                <br>
                                                <p>................................</p>
                                                <p>ឈ្មោះ {{ obj.client?.name}}</p>
                                            </div>

                                            <div class="ps-4">
                                                <p>ស្នាមមេដៃ</p>
                                                <p class="border-box"></p>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <br>

                                <div class="text-center">
                                    <div class="fw-bold">
                                        <p>បានឃើញ និង បញ្ជាក់ថា៖ </p>
                                        <p>ស្នាមមេដៃខាងលើនេះពិតជារបស់ឈ្មោះ គួង ឃុនលី និងឈ្មោះ {{ obj.client?.name}} ពិតប្រាកដមែន ។</p>
                                        <p>{{ funDateChankati(obj.loan?.installment_date)}}</p>
                                        <p>នៅរាជធានីភ្នំពេញ {{funDate(obj.loan?.installment_date)}}</p>
                                    </div>
                                    <p class="text_moul">មេធាវី</p>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-bs-dismiss="modal">{{ $t("Close") }}</button>
                    <button type="button" class="btn btn-primary" @click="printP">
                        {{$t('Print')}}
                    </button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    var moment = require("moment");
    import {currencyToWord } from "number_to_khmer_word";
    export default {
        props:['obj'],
        data(){
            return{
                moment : moment,
                currencyToWord : currencyToWord,
            }
        },
        methods: {
            printP() {
                this.$htmlToPaper("print-receipt-debt-contract", {
                    styles: ["/css/app.css", "/css/print/mortgage-loan.css"],
                });
            },
            funDateChankati(date) {
                return moment(date).toLunarDate();
            },
            funDate(date) {
                if(date){
                    return "ថ្ងៃទី" + moment(date).format("DD") + " ខែ" + this.funMonth(moment(date).format("MMM")) + " ឆ្នាំ" + moment(date).format("YYYY");
                } else {
                    return 'ថ្ងៃទី................... ខែ................... ឆ្នាំ...................'
                }
            },
            funConditionPay(ConPay,status){
                if(ConPay==1){
                    return 'បង់ប្រចាំ'+this.funTerm(status)+'ថេរ';
                }else if(ConPay==2){
                    return 'បង់រំលោះប្រចាំ'+this.funTerm(status)+'ថយ(ដើមថេរ)';
                }else if(ConPay==3){
                    return 'បង់ប្រាក់ដើមនិងការប្រាក់ថេរ'+this.funTerm(status);
                }else if(ConPay==4){
                    return 'បង់តែការប្រាក់ប្រចាំ'+this.funTerm(status);
                }
            },
            funMonth(mon) {
                if (mon == "Jan") {
                    return "មករា";
                } else if (mon == "Feb") {
                    return "កុម្ភៈ";
                } else if (mon == "Mar") {
                    return "មីនា";
                } else if (mon == "Apr") {
                    return "មេសា";
                } else if (mon == "May") {
                    return "ឧសភា";
                } else if (mon == "Jun") {
                    return "មិថុនា";
                } else if (mon == "Jul") {
                    return "កក្កដា";
                } else if (mon == "Aug") {
                    return "សីហា";
                } else if (mon == "Sep") {
                    return "កញ្ញា";
                } else if (mon == "Oct") {
                    return "តុលា";
                } else if (mon == "Nov") {
                    return "វិច្ឆិកា";
                } else if (mon == "Dec") {
                    return "ធ្នូ";
                }
            },
            funTypeCard(card) {
                if (card == 1) {
                    return "អត្តសញ្ញាណប័ណ្ណ";
                } else if (card == 2) {
                    return "សៀវភៅគ្រួសារ";
                } else if (card == 3) {
                    return "សៀវភៅស្នាក់នៅ";
                } else if (card == 4) {
                    return "លិខិតឆ្លងដែន";
                } else {
                    return "សំបុត្រកំណើត";
                }
            },
            funIssuedBy(value) {
                if (value == 1) {
                    return "ក្រសួងមហាផ្ទៃ";
                } else if (value == 2) {
                    return "អធិការដ្ឋាន,ប៉ុស្តិ៍រដ្ឋបាល";
                } else if (value == 3) {
                    return "មន្រ្តីអត្រានុកូលដ្ឋាន";
                } else if (value == 4) {
                    return "មេភូមិ,ចៅសង្កាត់";
                }
                else {
                    return "................................................";
                }
            },
            funTerm(status){
                if(status==1){
                    return 'ថ្ងៃ';
                }else if(status==2){
                    return 'សប្ដាហ៍';
                }else if(status==3){
                    return 'កន្លះខែ';
                }else if(status==4){
                    return 'ខែ';
                }
            },
            totalToword(loan_out,currency_id) {
                if (currency_id == 1) {
                    if (loan_out) {
                        return currencyToWord(loan_out, "KHR").slice(1).replace(/-/g, "");
                    } else {
                        return currencyToWord(0, "KHR").slice(1);
                    }
                } else {
                    if (loan_out) {
                        return currencyToWord(loan_out, "USD")
                            .slice(1)
                            .replace(/-/g, " ")
                            .replace(/ ដុល្លារ គត់/, " ដុល្លារសហរដ្ឋអាមេរិចគត់");
                    } else {
                        return currencyToWord(0, "USD").slice(1);
                    }
                }
            },
        }
    }
</script>

<style lang="scss" scoped>
    .article{
        position: relative;
        padding-left: 64px;
        .title{
            position: absolute;
            left: 0;
        }
    }
    .article-list{
        position: relative;
        padding-left: 10px;
        .list{
            position: absolute;
            left: 0;
        }
    }
    .border-box{
        border: 1px solid #000;
        width: 80px;
        height: 100px;
    }
</style>
